// Generic input field layouts

.dataInputContainer {}

.dataInputRow {
  margin: 10px 0;
  font-size: 0;
}
.dataInputRow:before, .dataInputRow:after {
content: " ";
display: table; }
.dataInputRow:after {
clear: left; }

.dataInputLabel {
  display: inline-block;
  vertical-align: top;
  font-size: 15px;
}

.requiredData:after {
  content: " " url(Images/asteriskRequired.gif);
}

.dataInputField {
  display: inline-block;
  vertical-align: top;
  font-size: 15px;
}

.dataInputFieldSubContainer {
  display: block;
}

.dataInputGrouped {}

.dataInputGroupedItemVertical {
  display: block;
  margin: 10px 0;
}

.dataInputGroupedItemHorizontal {
  display: inline-block;
  vertical-align: top;
}

.dataInputVerticalRadio, .dataInputHorizontalRadio {}

.dataInputVerticalRadio input, .dataInputHorizontalRadio input {
  display: inline-block;
}

.dataInputVerticalRadio label {
  display: inline;
  margin-left: 10px;
  vertical-align: top;
  line-height: 16px;
}

.dataInputHorizontalRadio label {
  display: inline-block;
  margin-left: 10px;
  vertical-align: top;
  line-height: 16px;
  margin-right: 25px;
}


.dataInputVerticalRadio label {
  margin-bottom: 5px;
}

.dataInputHorizontalCheckBox label {
  display: inline;
 }

.dataInputHorizontalCheckBoxList label {
  margin-right: 20px;
  vertical-align:top; 
  display: inline;
 }

 .dataInputHorizontalRadioFloating label, .dataInputHorizontalRadioFloat label {
  display: inline;
  margin-left: 10px;
  vertical-align: top;
  line-height: 16px;
  margin-right: 25px;
}

 .dataInputHorizontalCheckBoxListFloating label, .dataInputHorizontalCheckBoxListFloat label {
  margin-right: 25px;
  vertical-align:top; 
  display: inline;
 }

.dataInputHorizontalCheckBoxListFloating tr {
  float: left;
  width: 30%;
}

.dataInputHorizontalCheckBoxListFloat tr {
  float: left;
  width: 25%;
}

.dataInputHorizontalCheckBoxListFloatingTwo label {
  margin-right: 25px;
  vertical-align:top; 
  display: inline;
 }

.dataInputHorizontalCheckBoxListFloatingTwo > tbody > tr {
  float: left;
  width: 50%;
}

.dataInputHorizontalRadioFloating tr {
  float: left;
  width: 40%;
}

.dataInputHorizontalRadioFloat tr {
  float: left;
 }

.dataInputHorizontalCheckBox langPref
{
    margin-right: 30px;
}

.daysOfWeekCheckBoxList label {
  margin-right: 10px;
  display: inline-block;
}

.daysOfWeekCheckBoxList td {
  white-space:nowrap;
}

.requiredDataLegend {
  color: #264c69;
  font-style: italic;
  font-size: 13px;
  font-weight: normal;
  &:before {
    content: url(Images/asteriskRequired.gif) " ";
  }
}


// temporary fix for selects which are now using default Bootstrap styling instead of the customSelect plugin
// this overrides the hight of the selects being set explicitly to 30px within the Focus CSS and can be removed when we drop the customSelect plugin globally
select.form-control {
	height: auto !important;
}

input[type="text"].form-control, input[type="password"].form-control {
	height: auto !important;
	padding: 6px 12px !important;
}

@media (max-width:600px)
{
    .dataInputHorizontalCheckBoxListFloating tr {
      float: none;
    }
    .dataInputHorizontalCheckBoxListFloatingTwo > tbody > tr {
      float: none;
    }
    .dataInputHorizontalRadioFloating tr {
      float: none;
    }
	.dataInputHorizontalRadioFloat tr {
      float: none;
    }
}

@media (max-width:768px)
{
    .dataInputHorizontalCheckBoxListFloating tr {
      width:40%;
    }
    .dataInputHorizontalRadioFloating tr {
      width:40%;
    }
	.dataInputHorizontalCheckBoxListFloat tr {
      width: 50%;
    }
}

@media (max-width:480px)
{
    .dataInputLabel {
        word-wrap:break-word
    }
	.dataInputHorizontalCheckBoxListFloat tr {
		float:none;
	 }

}

@media (min-width:480px)
{
     .daysOfWeekCheckBoxList tr  {
        float:left;
     }
}

#SummaryTextBox, #SectionTextBox{
	max-width:800px;
	box-sizing: border-box;
	margin: 3px;
}
